#include <iostream>
using namespace std;
#include "FootballPlayer.h"
#include "FullBack.h"

int stringLength(const char* theString)
{
	int length = 0;
	while (*theString != 0)
	{
		++length;
		++theString;
	}

	return length;
}

void printIntArray(const int* theArray, int nElements)
{
	for (int i = 0; i < nElements; i++)
	{
		cout << theArray[i] << endl;
	}
}

int main()
{
	char myArray[] = "abc";
	int length = stringLength(myArray);

	int myIntArray[] = { 1, 2, 3 };
	printIntArray(myIntArray, 3);

	FootballPlayer::Position post = FootballPlayer::WIDERECEIVER;

	const int* yearList = FootballPlayer::getYearsWeHaveHadFootball();
	int nYearsInList = FootballPlayer::getnYearsWeHaveHadFootball();

	// Football Player is an abstract base class because of play()
	// so we can't create an instance of it.
	// FootballPlayer myPlayer;

	// FullBack overrides play(), so we can create a fullBack.
	FullBack myFullBack;





}